curl --request POST \
--url https://push.platform.arb.inc/internal/send-web-push-to-subscription \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subscriptionID": "3f8c7e4d-2a1b-4c9d-8e7f-6a5b4c3d2e1f",
"title": "New Message",
"body": "You have received a new message from the court",
"icon": "https://platform.arb.inc/icons/notification.png",
"url": "https://platform.arb.inc/cases/2025-08-00292",
"data": {}
}
'import requests
url = "https://push.platform.arb.inc/internal/send-web-push-to-subscription"
payload = {
"subscriptionID": "3f8c7e4d-2a1b-4c9d-8e7f-6a5b4c3d2e1f",
"title": "New Message",
"body": "You have received a new message from the court",
"icon": "https://platform.arb.inc/icons/notification.png",
"url": "https://platform.arb.inc/cases/2025-08-00292",
"data": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
subscriptionID: '3f8c7e4d-2a1b-4c9d-8e7f-6a5b4c3d2e1f',
title: 'New Message',
body: JSON.stringify('You have received a new message from the court'),
icon: 'https://platform.arb.inc/icons/notification.png',
url: 'https://platform.arb.inc/cases/2025-08-00292',
data: {}
})
};
fetch('https://push.platform.arb.inc/internal/send-web-push-to-subscription', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"Notification sent successfully""Subscription not found"Send web push notification to subscription
Sends a web push notification to a specific subscription by ID. This endpoint is used internally by other services to deliver notifications to user browsers. Requires push.notifications.creator permission.
Authorizations
access token
Body
Unique identifier for the web push subscription
"3f8c7e4d-2a1b-4c9d-8e7f-6a5b4c3d2e1f"
Title of the push notification
"New Message"
Body text of the push notification
"You have received a new message from the court"
URL to an icon image for the notification
"https://platform.arb.inc/icons/notification.png"
URL to navigate to when the notification is clicked
"https://platform.arb.inc/cases/2025-08-00292"
Additional custom data to include with the notification
Response
Notification sent successfully
The response is of type string.
"Notification sent successfully"